Bug 506949

Summary: satellite is not displaying *all* the dependencies installed in the event history for rhel4 clients
Product: Red Hat Satellite 5 Reporter: wes hayutin <whayutin>
Component: WebUIAssignee: Miroslav Suchý <msuchy>
Status: CLOSED WONTFIX QA Contact: Red Hat Satellite QA List <satellite-qa-list>
Severity: medium Docs Contact:
Priority: low    
Version: 530CC: msuchy
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
URL: http://grandprix.rhndev.redhat.com/network/systems/details/history/event.pxt?sid=1000010020&hid=41
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-03-16 14:32:37 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 462714    
Attachments:
Description Flags
up2date log, look for httpd none

Description wes hayutin 2009-06-19 09:29:02 EDT
Created attachment 348663 [details]
up2date log, look for httpd

Description of problem:

sat530 6/16 build rhel 5 server

recreate.
1. fresh install @base rhel4u7
2. schedule install of
    *  httpd-suexec-2.0.52-41.ent.4
    * httpd-devel-2.0.52-41.ent.4
    * system-config-httpd-1.3.1-1:5
    * httpd-manual-2.0.52-41.ent.4
    * httpd-2.0.52-41.ent.4
3. check out the up2date log, will post as attachment 
    A bunch of extra dependencies are added, installed

4. check the event log, the dependencies are *not* added to the event

 	This action will be executed after 06/19/09 8:43:40 AM EDT.

This action's status is: Completed.
The client picked up this action on 06/19/09 8:43:43 AM EDT.
The client completed this action on 06/19/09 8:56:39 AM EDT.
Client execution returned "Packages were installed successfully" (code 0)
Packages Scheduled:

    * httpd-suexec-2.0.52-41.ent.4
    * httpd-devel-2.0.52-41.ent.4
    * system-config-httpd-1.3.1-1:5
    * httpd-manual-2.0.52-41.ent.4
    * httpd-2.0.52-41.ent.4



more info

[root@dhcp77-159 ~]# rpm -q --requires httpd
/bin/bash  
/bin/mktemp  
/bin/mv  
/bin/rm  
/bin/sh  
/bin/sh  
/bin/sh  
/bin/sh  
/bin/sh  
/etc/mime.types  
/sbin/chkconfig  
/usr/bin/find  
/usr/sbin/useradd  
/usr/share/magic.mime  
apr >= 0.9.4-24.2
config(httpd) = 2.0.52-41.ent.4
gawk  
httpd-suexec  
initscripts >= 7.93.26.EL-1
libapr-0.so.0  
libaprutil-0.so.0  
libc.so.6  
libc.so.6(GLIBC_2.0)  
libc.so.6(GLIBC_2.1)  
libc.so.6(GLIBC_2.1.3)  
libc.so.6(GLIBC_2.2)  
libc.so.6(GLIBC_2.3)  
libcom_err.so.2  
libcrypt.so.1  
libcrypt.so.1(GLIBC_2.0)  
libcrypto.so.4  
libdb-4.2.so  
libdl.so.2  
libexpat.so.0  
libgssapi_krb5.so.2  
libk5crypto.so.3  
libkrb5.so.3  
liblber-2.2.so.7  
libldap-2.2.so.7  
libm.so.6  
libm.so.6(GLIBC_2.0)  
libpcre.so.0  
libpcreposix.so.0  
libpthread.so.0  
libpthread.so.0(GLIBC_2.0)  
libresolv.so.2  
librt.so.1  
libssl.so.4  
libz.so.1  
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(VersionedDependencies) <= 3.0.3-1
sh-utils  
textutils
Comment 3 Miroslav Suchý 2012-03-16 14:32:37 EDT
RHEL4 is EOL.